Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class BindingEntry.OperationAttr

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.BindingEntry.OperationAttr

Enclosing class:
  BindingEntry

protected static class BindingEntry.OperationAttr
extends java.lang.Object

Contains attributes for Operations - Body type: encoded or literal

Constructor Summary
`BindingEntry.OperationAttr()` Constructor OperationAttr
`BindingEntry.OperationAttr(Use inputBodyType, Use outputBodyType, java.util.HashMap faultBodyTypeMap)` Constructor OperationAttr

Method Summary
`java.util.HashMap` | `getFaultBodyTypeMap()` Method getFaultBodyTypeMap
`Use` | `getInputBodyType()` Method getInputBodyType
`Use` | `getOutputBodyType()` Method getOutputBodyType
`protected void` | `setFaultBodyTypeMap(java.util.HashMap faultBodyTypeMap)` Method setFaultBodyTypeMap
`protected void` | `setInputBodyType(Use inputBodyType)` Method setInputBodyType
`protected void` | `setOutputBodyType(Use outputBodyType)` Method setOutputBodyType

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingEntry.OperationAttr

    public BindingEntry.OperationAttr(Use inputBodyType,
                                      Use outputBodyType,
                                      java.util.HashMap faultBodyTypeMap)

  Constructor OperationAttr

Parameters:
  `inputBodyType` -
  `outputBodyType` -
  `faultBodyTypeMap` -

### BindingEntry.OperationAttr

    public BindingEntry.OperationAttr()

  Constructor OperationAttr

Method Detail

### getInputBodyType

    public Use getInputBodyType()

  Method getInputBodyType

  Returns:

### setInputBodyType

    protected void setInputBodyType(Use inputBodyType)

  Method setInputBodyType

  Parameters:
    `inputBodyType` -

### getOutputBodyType

    public Use getOutputBodyType()

  Method getOutputBodyType

  Returns:

### setOutputBodyType

    protected void setOutputBodyType(Use outputBodyType)

  Method setOutputBodyType

  Parameters:
    `outputBodyType` -

### getFaultBodyTypeMap

    public java.util.HashMap getFaultBodyTypeMap()

  Method getFaultBodyTypeMap

  Returns:

### setFaultBodyTypeMap

    protected void setFaultBodyTypeMap(java.util.HashMap faultBodyTypeMap)

  Method setFaultBodyTypeMap

  Parameters:
    `faultBodyTypeMap` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.